import { Component, OnInit } from '@angular/core';
import { AlertController } from '@ionic/angular';
import * as Parse from 'parse';
@Component({
  selector: 'app-tab-mine',
  templateUrl: './tab-mine.page.html',
  styleUrls: ['./tab-mine.page.scss'],
})
export class TabMinePage implements OnInit {
  isLoggedIn: boolean = false;
  currentUser: Parse.User<Parse.Attributes> | undefined;
  userName: string = '';
  name: string = '';
  errorMessage: string = '';

  constructor(
    private alertController: AlertController,
  ) {
    this.loadUserInfo();
  }

  ngOnInit(): void {
  }

  loadUserInfo(): void {
    this.currentUser = Parse.User.current();
    if (this.currentUser) {
      this.isLoggedIn = true;
      this.userName = this.currentUser.get('username');
      this.name = this.currentUser.get('name');
    }
  }

  logout(): void {
    Parse.User.logOut().then(async () => {
      this.name = ''
      this.userName = ''
      this.errorMessage = ''
      // this.errorMessage = '登出成功';
      this.isLoggedIn = false;
      const alert = await this.alertController.create({
        header: '退出成功',
        message: '您已退出账号。',
        buttons: ['确定']
      });
      await alert.present();

       // location.reload(); // 刷新页面
    });
  }
}