import * as Parse from 'parse';
import { AlertController } from '@ionic/angular';
import { Component } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'app-page-login',
  templateUrl: './page-login.component.html',
  styleUrls: ['./page-login.component.scss']
})
export class PageLoginComponent {
  userData = {
    username: '',
    password: ''
  };

  constructor(
    private alertController: AlertController,
    private router: Router
  ) {
    (Parse as any).serverURL = 'https://web2023.fmode.cn/parse';
    Parse.initialize('dev');
  }

  async login() {
    const { username, password } = this.userData;

    try {
      const user = await Parse.User.logIn(username, password);

      const alert = await this.alertController.create({
        header: '登录成功',
        message: '您已成功登录。',
        buttons: ['确定']
      });

      await alert.present();

      // 导航到目标页面
      this.router.navigateByUrl('/lesson/mine');
    } catch (error: any) {
      const alert = await this.alertController.create({
        header: '登录失败',
        message: error.message,
        buttons: ['确定']
      });

      await alert.present();
    }
  }
}
