import * as Parse from 'parse';
import { AlertController } from '@ionic/angular';
import { Component } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'app-page-register',
  templateUrl: './page-register.component.html',
  styleUrls: ['./page-register.component.scss']
})
export class PageRegisterComponent {
  userData = {
    username: '',
    password: ''
  };

  constructor(
    private alertController: AlertController,
    private router: Router
  ) {
    (Parse as any).serverURL = 'https://web2023.fmode.cn/parse';
    Parse.initialize('dev');
  }

  async register() {
    const { username, password } = this.userData;

    try {
      const user = new Parse.User();
      user.set('username', username);
      user.set('password', password);

      await user.signUp();

      const alert = await this.alertController.create({
        header: '注册成功',
        message: '您已成功注册账号。',
        buttons: ['确定']
      });

      await alert.present();

      // 导航到目标页面
      this.router.navigateByUrl('/lesson/mine');
    } catch (error: any) {
      const alert = await this.alertController.create({
        header: '注册失败',
        message: error.message,
        buttons: ['确定']
      });

      await alert.present();
    }
  }
}

